#ifndef DATATYPES_h
#define DATATYPES_h

struct Vessel {
  char name[16];
  char setpoint[20];
  char sensor[20];
  double Rref;
  double RNominal;
};

struct Topic {
  char root[10];
  Vessel mash;
  Vessel boil;
};

struct Mqtt {
  IPAddress broker;
  char user[10];
  char password[21];
  Topic topic;
};

struct ConfigData {
  Mqtt mqtt;
  byte mac[6];
  IPAddress ip;
  int interval;
  int period;
  double threshold;
  double hysteresis;
};

#endif
